<script>
import ReSidebar from "@/components/ReSidebar.vue";

export default {
  name: "VoiceAssistant",
  components: {
    ReSidebar,
  },
  data() {
    return {
      sideList: [
        {
          id: 1,
          name: "小迪设置",
          icon: "ic_setting",
        },
        {
          id: 2,
          name: "小迪技能",
          icon: "ic_light",
        },
      ],
      tabIndex: 1,
    };
  },
  methods: {
    handleSideClick(item) {
      this.tabIndex = item.id;
    },
  },
};
</script>

<template>
  <div class="voice-assistant">
    <div class="side">
      <ReSidebar
        :sideBarList="sideList"
        @click="handleSideClick"
        :active-index="tabIndex - 1"
      />
    </div>
    <!-- 内容 -->
    <div class="content">
      <img v-if="tabIndex == 1" src="../assets/images/assistant/2.webp" alt="" />
      <img v-if="tabIndex == 2" src="../assets/images/assistant/1.webp" alt="" />
    </div>
  </div>
</template>

<style scoped lang="scss">
.voice-assistant {
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  background-color: #f0f3f7;
  display: flex;
  align-items: center;
  .side {
    height: 400px;
    background-color: #f6f8fa;
  }

  .content {
    flex: 1;
    padding: 65px 65px 86px 65px;
    box-sizing: border-box;
    img {
      width: 100%;
      height: 100%;
    }
  }
}
</style>
